<?php
/**
 * Cinematic Photographer functions and definitions
 *
 * @package Cinematic Photographer
 * @subpackage cinematic_photographer
 */

function cinematic_photographer_setup() {

	load_theme_textdomain( 'cinematic-photographer', get_template_directory() . '/language' );
	add_theme_support( 'automatic-feed-links' );
	add_theme_support( 'woocommerce' );
	add_theme_support( 'title-tag' );
	add_theme_support( "responsive-embeds" );
	add_theme_support( 'wp-block-styles' );
	add_theme_support( 'align-wide' );
	add_theme_support( 'post-thumbnails' );
	add_image_size( 'cinematic-photographer-featured-image', 2000, 1200, true );
	add_image_size( 'cinematic-photographer-thumbnail-avatar', 100, 100, true );

	// Set the default content width.
	$GLOBALS['content_width'] = 525;

	// This theme uses wp_nav_menu() in two locations.
	register_nav_menus( array(
		'primary-menu'    => __( 'Primary Menu', 'cinematic-photographer' ),
	) );

	// Add theme support for Custom Logo.
	add_theme_support( 'custom-logo', array(
		'width'       => 250,
		'height'      => 250,
		'flex-width'  => true,
		'flex-height'  => true,
	) );

	// Add theme support for selective refresh for widgets.
	add_theme_support( 'customize-selective-refresh-widgets' );

	add_theme_support( 'custom-background', array(
		'default-color' => 'ffffff'
	) );

	/*
	 * Enable support for Post Formats.
	 *
	 * See: https://codex.wordpress.org/Post_Formats
	 */
	add_theme_support( 'post-formats', array('image','video','gallery','audio',) );

	add_theme_support( 'html5', array('comment-form','comment-list','gallery','caption',) );

	add_theme_support( 'custom-header', apply_filters( 'cinematic_photographer_custom_header_args', array(
        'default-text-color' => 'fff',
        'header-text'        => false,
        'width'              => 1600,
        'height'             => 350,
        'flex-width'         => true,
        'flex-height'        => true,
        'wp-head-callback'   => 'cinematic_photographer_header_style',
        'default-image'      => get_template_directory_uri() . '/assets/images/sliderimage.png',
    ) ) );

	/**
	 * Implement the Custom Header feature.
	 */
	require get_parent_theme_file_path( '/inc/custom-header.php' );

}
add_action( 'after_setup_theme', 'cinematic_photographer_setup' );

// Add function after setup:
function cinematic_photographer_conditional_editor_styles() {
	
	add_editor_style( array( 'assets/css/editor-style.css', cinematic_photographer_fonts_url() ) );
}
add_action( 'after_setup_theme', 'cinematic_photographer_conditional_editor_styles', 11 );

/**
 * Register custom fonts.
 */
function cinematic_photographer_fonts_url(){
	$cinematic_photographer_font_url = '';
	$cinematic_photographer_font_family = array();
	$cinematic_photographer_font_family[] = 'Outfit:wght@100;200;300;400;500;600;700;800;900';
	$cinematic_photographer_font_family[] = 'Satisfy:wght@400';

	$cinematic_photographer_font_family[] = 'Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Bad Script';
	$cinematic_photographer_font_family[] = 'Bebas Neue';
	$cinematic_photographer_font_family[] = 'Fjalla One';
	$cinematic_photographer_font_family[] = 'PT Sans:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'PT Serif:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900';
	$cinematic_photographer_font_family[] = 'Roboto Condensed:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Alex Brush';
	$cinematic_photographer_font_family[] = 'Overpass:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Montserrat:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Playball';
	$cinematic_photographer_font_family[] = 'Alegreya:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Julius Sans One';
	$cinematic_photographer_font_family[] = 'Arsenal:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Slabo 13px';
	$cinematic_photographer_font_family[] = 'Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900';
	$cinematic_photographer_font_family[] = 'Overpass Mono:wght@300;400;500;600;700';
	$cinematic_photographer_font_family[] = 'Source Sans Pro:ital,wght@0,200;0,300;0,400;0,600;0,700;0,900;1,200;1,300;1,400;1,600;1,700;1,900';
	$cinematic_photographer_font_family[] = 'Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Merriweather:ital,wght@0,300;0,400;0,700;0,900;1,300;1,400;1,700;1,900';
	$cinematic_photographer_font_family[] = 'Rubik:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Lora:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700';
	$cinematic_photographer_font_family[] = 'Cabin:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Arimo:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Playfair Display:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Quicksand:wght@300;400;500;600;700';
	$cinematic_photographer_font_family[] = 'Padauk:wght@400;700';
	$cinematic_photographer_font_family[] = 'Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$cinematic_photographer_font_family[] = 'Inconsolata:wght@200;300;400;500;600;700;800;900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$cinematic_photographer_font_family[] = 'Bitter:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Mulish:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;0,1000;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900;1,1000';
	$cinematic_photographer_font_family[] = 'Pacifico';
	$cinematic_photographer_font_family[] = 'Indie Flower';
	$cinematic_photographer_font_family[] = 'VT323';
	$cinematic_photographer_font_family[] = 'Dosis:wght@200;300;400;500;600;700;800';
	$cinematic_photographer_font_family[] = 'Frank Ruhl Libre:wght@300;400;500;700;900';
	$cinematic_photographer_font_family[] = 'Fjalla One';
	$cinematic_photographer_font_family[] = 'Figtree:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Oxygen:wght@300;400;700';
	$cinematic_photographer_font_family[] = 'Arvo:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Noto Serif:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Lobster';
	$cinematic_photographer_font_family[] = 'Crimson Text:ital,wght@0,400;0,600;0,700;1,400;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Yanone Kaffeesatz:wght@200;300;400;500;600;700';
	$cinematic_photographer_font_family[] = 'Anton';
	$cinematic_photographer_font_family[] = 'Libre Baskerville:ital,wght@0,400;0,700;1,400';
	$cinematic_photographer_font_family[] = 'Bree Serif';
	$cinematic_photographer_font_family[] = 'Gloria Hallelujah';
	$cinematic_photographer_font_family[] = 'Abril Fatface';
	$cinematic_photographer_font_family[] = 'Varela Round';
	$cinematic_photographer_font_family[] = 'Vampiro One';
	$cinematic_photographer_font_family[] = 'Shadows Into Light';
	$cinematic_photographer_font_family[] = 'Cuprum:ital,wght@0,400;0,500;0,600;0,700;1,400;1,500;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Rokkitt:wght@100;200;300;400;500;600;700;800;900';
	$cinematic_photographer_font_family[] = 'Vollkorn:ital,wght@0,400;0,500;0,600;0,700;0,800;0,900;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Francois One';
	$cinematic_photographer_font_family[] = 'Orbitron:wght@400;500;600;700;800;900';
	$cinematic_photographer_font_family[] = 'Patua One';
	$cinematic_photographer_font_family[] = 'Acme';
	$cinematic_photographer_font_family[] = 'Satisfy';
	$cinematic_photographer_font_family[] = 'Josefin Slab:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Quattrocento Sans:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Architects Daughter';
	$cinematic_photographer_font_family[] = 'Russo One';
	$cinematic_photographer_font_family[] = 'Monda:wght@400;700';
	$cinematic_photographer_font_family[] = 'Righteous';
	$cinematic_photographer_font_family[] = 'Lobster Two:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Hammersmith One';
	$cinematic_photographer_font_family[] = 'Courgette';
	$cinematic_photographer_font_family[] = 'Permanent Marke';
	$cinematic_photographer_font_family[] = 'Cherry Swash:wght@400;700';
	$cinematic_photographer_font_family[] = 'Cormorant Garamond:ital,wght@0,300;0,400;0,500;0,600;0,700;1,300;1,400;1,500;1,600;1,700';
	$cinematic_photographer_font_family[] = 'Poiret One';
	$cinematic_photographer_font_family[] = 'BenchNine:wght@300;400;700';
	$cinematic_photographer_font_family[] = 'Economica:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Handlee';
	$cinematic_photographer_font_family[] = 'Cardo:ital,wght@0,400;0,700;1,400';
	$cinematic_photographer_font_family[] = 'Alfa Slab One';
	$cinematic_photographer_font_family[] = 'Averia Serif Libre:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Cookie';
	$cinematic_photographer_font_family[] = 'Chewy';
	$cinematic_photographer_font_family[] = 'Great Vibes';
	$cinematic_photographer_font_family[] = 'Coming Soon';
	$cinematic_photographer_font_family[] = 'Philosopher:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Days One';
	$cinematic_photographer_font_family[] = 'Kanit:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Shrikhand';
	$cinematic_photographer_font_family[] = 'Tangerine:wght@400;700';
	$cinematic_photographer_font_family[] = 'IM Fell English SC';
	$cinematic_photographer_font_family[] = 'Boogaloo';
	$cinematic_photographer_font_family[] = 'Bangers';
	$cinematic_photographer_font_family[] = 'Fredoka One';
	$cinematic_photographer_font_family[] = 'Volkhov:ital,wght@0,400;0,700;1,400;1,700';
	$cinematic_photographer_font_family[] = 'Shadows Into Light Two';
	$cinematic_photographer_font_family[] = 'Marck Script';
	$cinematic_photographer_font_family[] = 'Sacramento';
	$cinematic_photographer_font_family[] = 'Unica One';
	$cinematic_photographer_font_family[] = 'Dancing Script:wght@400;500;600;700';
	$cinematic_photographer_font_family[] = 'Exo 2:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Archivo:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'Jost:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900';
	$cinematic_photographer_font_family[] = 'DM Serif Display:ital@0;1';
	$cinematic_photographer_font_family[] = 'Open Sans:ital,wght@0,300;0,400;0,500;0,600;0,700;0,800;1,300;1,400;1,500;1,600;1,700;1,800';

	$cinematic_photographer_query_args = array(
		'family'	=> rawurlencode(implode('|',$cinematic_photographer_font_family)),
	);
	$cinematic_photographer_font_url = add_query_arg($cinematic_photographer_query_args,'//fonts.googleapis.com/css');
	return $cinematic_photographer_font_url;
	$contents = cinematic_photographer_wptt_get_web_font_url( esc_url_raw( $cinematic_photographer_font_url ) );
}

/**
 * Register widget area.
 */
function cinematic_photographer_widgets_init() {
	register_sidebar( array(
		'name'          => __( 'Blog Sidebar', 'cinematic-photographer' ),
		'id'            => 'sidebar-1',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Page Sidebar', 'cinematic-photographer' ),
		'id'            => 'sidebar-2',
		'description'   => __( 'Add widgets here to appear in your sidebar on pages.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Sidebar 3', 'cinematic-photographer' ),
		'id'            => 'sidebar-3',
		'description'   => __( 'Add widgets here to appear in your sidebar on blog posts and archive pages.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 1', 'cinematic-photographer' ),
		'id'            => 'footer-1',
		'description'   => __( 'Add widgets here to appear in your footer.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 2', 'cinematic-photographer' ),
		'id'            => 'footer-2',
		'description'   => __( 'Add widgets here to appear in your footer.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 3', 'cinematic-photographer' ),
		'id'            => 'footer-3',
		'description'   => __( 'Add widgets here to appear in your footer.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );

	register_sidebar( array(
		'name'          => __( 'Footer 4', 'cinematic-photographer' ),
		'id'            => 'footer-4',
		'description'   => __( 'Add widgets here to appear in your footer.', 'cinematic-photographer' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h3 class="widget-title">',
		'after_title'   => '</h3>',
	) );
}
add_action( 'widgets_init', 'cinematic_photographer_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function cinematic_photographer_scripts() {
	// Add custom fonts, used in the main stylesheet.
	wp_enqueue_style( 'cinematic-photographer-fonts', cinematic_photographer_fonts_url(), array(), null );

	// Bootstrap
	wp_enqueue_style( 'bootstrap-css', get_theme_file_uri( '/assets/css/bootstrap.css' ) );

	// Bootstrap
	wp_enqueue_style( 'owl-carousel-css', get_theme_file_uri( '/assets/css/owl.carousel.css' ) );

	// Theme stylesheet.
	wp_enqueue_style( 'cinematic-photographer-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-body-width-layout.php' );
	wp_add_inline_style( 'cinematic-photographer-style',$cinematic_photographer_tp_theme_css );
	wp_enqueue_style( 'cinematic-photographer-style', get_stylesheet_uri() );
	require get_parent_theme_file_path( '/tp-theme-color.php' );
	wp_add_inline_style( 'cinematic-photographer-style',$cinematic_photographer_tp_theme_css );
	wp_style_add_data('cinematic-photographer-style', 'rtl', 'replace');

	// Theme stylesheet.
	wp_enqueue_style( 'cinematic-photographer-style', get_stylesheet_uri() );

	// Theme block stylesheet.
	wp_enqueue_style( 'cinematic-photographer-block-style', get_theme_file_uri( '/assets/css/blocks.css' ), array( 'cinematic-photographer-style' ), '1.0' );

	// Fontawesome
	wp_enqueue_style( 'fontawesome-css', get_theme_file_uri( '/assets/css/fontawesome-all.css' ) );

	wp_enqueue_script( 'bootstrap-js', get_theme_file_uri( '/assets/js/bootstrap.js' ), array( 'jquery' ), true );

	wp_enqueue_script( 'owl-carousel-js', get_theme_file_uri( '/assets/js/owl.carousel.js' ), array( 'jquery' ), true );
	
	wp_enqueue_script( 'cinematic-photographer-custom-scripts', esc_url( get_template_directory_uri() ) . '/assets/js/custom.js', array('jquery'), true );

	wp_enqueue_script( 'cinematic-photographer-focus-nav', esc_url( get_template_directory_uri() ) . '/assets/js/focus-nav.js', array('jquery'), true);

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	$cinematic_photographer_body_font_family = get_theme_mod('cinematic_photographer_body_font_family', '');

	$cinematic_photographer_heading_font_family = get_theme_mod('cinematic_photographer_heading_font_family', '');

	$cinematic_photographer_menu_font_family = get_theme_mod('cinematic_photographer_menu_font_family', '');

	$cinematic_photographer_tp_theme_css = '
		body{
		    font-family: '.esc_html($cinematic_photographer_body_font_family).';
		}
		.more-btn a{
		    font-family: '.esc_html($cinematic_photographer_body_font_family).';
		}
		h1{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		h2{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		h3,.box h3{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		h4{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		h5{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		h6{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		#theme-sidebar .wp-block-search .wp-block-search__label{
		    font-family: '.esc_html($cinematic_photographer_heading_font_family).';
		}
		.menubar{
		    font-family: '.esc_html($cinematic_photographer_menu_font_family).';
		}
	';
	wp_add_inline_style('cinematic-photographer-style', $cinematic_photographer_tp_theme_css);
}
add_action( 'wp_enqueue_scripts', 'cinematic_photographer_scripts' );

//Admin Enqueue for Admin
function cinematic_photographer_admin_enqueue_scripts(){
	wp_enqueue_style('cinematic-photographer-admin-style', esc_url( get_template_directory_uri() ) . '/assets/css/admin.css');
	wp_enqueue_script( 'cinematic-photographer-custom-scripts', esc_url( get_template_directory_uri() ). '/assets/js/custom.js', array('jquery'), true);
	wp_register_script( 'cinematic-photographer-admin-script', get_template_directory_uri() . '/assets/js/cinematic-photographer-admin.js', array( 'jquery' ), '', true );

	wp_localize_script(
		'cinematic-photographer-admin-script',
		'cinematic_photographer',
		array(
			'admin_ajax'	=>	admin_url('admin-ajax.php'),
			'wpnonce'			=>	wp_create_nonce('cinematic_photographer_dismissed_notice_nonce')
		)
	);
	wp_enqueue_script('cinematic-photographer-admin-script');

    wp_localize_script( 'cinematic-photographer-admin-script', 'cinematic_photographer_ajax_object',
        array( 'ajax_url' => admin_url( 'admin-ajax.php' ) )
    );
}
add_action( 'admin_enqueue_scripts', 'cinematic_photographer_admin_enqueue_scripts' );

add_action( 'wp_ajax_cinematic_photographer_dismissed_notice_handler', 'cinematic_photographer_ajax_notice_handler' );

function cinematic_photographer_ajax_notice_handler() {
	if (!wp_verify_nonce($_POST['wpnonce'], 'cinematic_photographer_dismissed_notice_nonce')) {
		exit;
	}
    if ( isset( $_POST['type'] ) ) {
        $type = sanitize_text_field( wp_unslash( $_POST['type'] ) );
        update_option( 'dismissed-' . $type, TRUE );
    }
}

function cinematic_photographer_activation_notice() { 

	if ( ! get_option('dismissed-get_started', FALSE ) ) { ?>

    <div class="cinematic-photographer-notice-wrapper updated notice notice-get-started-class is-dismissible" data-notice="get_started">
        <div class="cinematic-photographer-getting-started-notice clearfix">
        	<div class="row-top">
	            <div class="cinematic-photographer-theme-notice-content">
	                <h2 class="cinematic-photographer-notice-h2">
	                    <?php
	                printf(
	                /* translators: 1: welcome page link starting html tag, 2: welcome page link ending html tag. */
	                    esc_html__( 'Install the Demo Import Plugin now to instantly set up your site like the live preview.', 'cinematic-photographer' ), '<strong>'. wp_get_theme()->get('Name'). '</strong>' );
	                ?>
	                </h2>
	                <a class="cinematic-photographer-btn-get-started button button-primary button-hero cinematic-photographer-button-padding" href="<?php echo esc_url( admin_url( 'themes.php?page=cinematic-photographer-about' )); ?>" ><?php esc_html_e( 'Get Started with Cinematic Photographer', 'cinematic-photographer' ) ?></a>
	            </div>
	            <div class="image-box">
			    	<img src="<?php echo esc_url( get_template_directory_uri() . '/assets/images/theme-notice.png' ); ?>" alt="<?php echo esc_attr__( 'Cinematic Photographer', 'cinematic-photographer' ); ?>" />
				</div>
	        </div>
        </div>
    </div>
<?php }

}
add_action( 'admin_notices', 'cinematic_photographer_activation_notice' );

add_action('after_switch_theme', 'cinematic_photographer_setup_options');
function cinematic_photographer_setup_options () {
    update_option('dismissed-get_started', FALSE );
}

// Category count 
function cinematic_photographer_display_post_category_count() {
    $cinematic_photographer_category = get_the_category();
    $cinematic_photographer_category_count = ($cinematic_photographer_category) ? count($cinematic_photographer_category) : 0;
    $cinematic_photographer_category_text = ($cinematic_photographer_category_count === 1) ? 'category' : 'categories'; // Check for pluralization
    echo $cinematic_photographer_category_count . ' ' . $cinematic_photographer_category_text;
}

//post tag
function custom_tags_filter($cinematic_photographer_tag_list) {
    // Replace the comma (,) with an empty string
    $cinematic_photographer_tag_list = str_replace(', ', '', $cinematic_photographer_tag_list);

    return $cinematic_photographer_tag_list;
}
add_filter('the_tags', 'custom_tags_filter');

function custom_output_tags() {
    $cinematic_photographer_tags = get_the_tags();

    if ($cinematic_photographer_tags) {
        $cinematic_photographer_tags_output = '<div class="post_tag">Tags: ';

        $cinematic_photographer_first_tag = reset($cinematic_photographer_tags);

        foreach ($cinematic_photographer_tags as $tag) {
            $cinematic_photographer_tags_output .= '<a href="' . esc_url(get_tag_link($tag)) . '" rel="tag" class="me-2">' . esc_html($tag->name) . '</a>';
            if ($tag !== $cinematic_photographer_first_tag) {
                $cinematic_photographer_tags_output .= ' ';
            }
        }

        $cinematic_photographer_tags_output .= '</div>';

        echo $cinematic_photographer_tags_output;
    }
}


// Sanitize Sortable control.
function cinematic_photographer_sanitize_sortable( $val, $setting ) {
	if ( is_string( $val ) || is_numeric( $val ) ) {
		return array(
			esc_attr( $val ),
		);
	}
	$sanitized_value = array();
	foreach ( $val as $item ) {
		if ( isset( $setting->manager->get_control( $setting->id )->choices[ $item ] ) ) {
			$sanitized_value[] = esc_attr( $item );
		}
	}
	return $sanitized_value;
}
/*radio button sanitization*/
function cinematic_photographer_sanitize_choices( $input, $setting ) {
    global $wp_customize;
    $control = $wp_customize->get_control( $setting->id );
    if ( array_key_exists( $input, $control->choices ) ) {
        return $input;
    } else {
        return $setting->default;
    }
}
/* Excerpt Limit Begin */
function cinematic_photographer_excerpt_function($excerpt_count = 35) {
    $cinematic_photographer_excerpt = get_the_excerpt();

    $CINEMATIC_PHOTOGRAPHER_TEXT_excerpt = wp_strip_all_tags($cinematic_photographer_excerpt);

    $cinematic_photographer_excerpt_limit = esc_attr(get_theme_mod('cinematic_photographer_excerpt_count', $excerpt_count));

    $cinematic_photographer_theme_excerpt = implode(' ', array_slice(explode(' ', $CINEMATIC_PHOTOGRAPHER_TEXT_excerpt), 0, $cinematic_photographer_excerpt_limit));

    return $cinematic_photographer_theme_excerpt;
}
function cinematic_photographer_sanitize_dropdown_pages( $page_id, $setting ) {
	$page_id = absint( $page_id );
	return ( 'publish' == get_post_status( $page_id ) ? $page_id : $setting->default );
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'cinematic_photographer_loop_columns');
if (!function_exists('cinematic_photographer_loop_columns')) {
	function cinematic_photographer_loop_columns() {
		$columns = get_theme_mod( 'cinematic_photographer_per_columns', 3 );
		return $columns;
	}
}

//Change number of products that are displayed per page (shop page)
add_filter( 'loop_shop_per_page', 'cinematic_photographer_per_page', 20 );
function cinematic_photographer_per_page( $cinematic_photographer_cols ) {
  	$cinematic_photographer_cols = get_theme_mod( 'cinematic_photographer_product_per_page', 9 );
	return $cinematic_photographer_cols;
}

function cinematic_photographer_sanitize_checkbox( $input ) {
	// Boolean check
	return ( ( isset( $input ) && true == $input ) ? true : false );
}

function cinematic_photographer_sanitize_number_absint( $number, $setting ) {
	// Ensure $number is an absolute integer (whole number, zero or greater).
	$number = absint( $number );

	// If the input is an absolute integer, return it; otherwise, return the default
	return ( $number ? $number : $setting->default );
}

function cinematic_photographer_sanitize_number_range( $number, $setting ) {

	// Ensure input is an absolute integer.
	$number = absint( $number );

	// Get the input attributes associated with the setting.
	$atts = $setting->manager->get_control( $setting->id )->input_attrs;

	// Get minimum number in the range.
	$min = ( isset( $atts['min'] ) ? $atts['min'] : $number );

	// Get maximum number in the range.
	$max = ( isset( $atts['max'] ) ? $atts['max'] : $number );

	// Get step.
	$step = ( isset( $atts['step'] ) ? $atts['step'] : 1 );

	// If the number is within the valid range, return it; otherwise, return the default
	return ( $min <= $number && $number <= $max && is_int( $number / $step ) ? $number : $setting->default );
}

/**
 * Use front-page.php when Front page displays is set to a static page.
 */
function cinematic_photographer_front_page_template( $template ) {
	return is_home() ? '' : $template;
}
add_filter( 'frontpage_template',  'cinematic_photographer_front_page_template' );

/**
 * Logo Custamization.
 */

function cinematic_photographer_logo_width(){

	$cinematic_photographer_logo_width   = get_theme_mod( 'cinematic_photographer_logo_width', 150 );

	echo "<style type='text/css' media='all'>"; ?>
		img.custom-logo{
		    width: <?php echo absint( $cinematic_photographer_logo_width ); ?>px;
		    max-width: 100%;
		}
	<?php echo "</style>";
}

add_action( 'wp_head', 'cinematic_photographer_logo_width' );


function cinematic_photographer_theme_setup() {

	define('CINEMATIC_PHOTOGRAPHER_CREDIT',__(' https://www.themespride.com/products/free-photographer-wordpress-theme','cinematic-photographer') );
	if ( ! function_exists( 'cinematic_photographer_credit' ) ) {
		function cinematic_photographer_credit(){
			echo "<a href=".esc_url(CINEMATIC_PHOTOGRAPHER_CREDIT)." target='_blank'>".esc_html__(get_theme_mod('cinematic_photographer_footer_text',__('Cinematic Photographer WordPress Theme','cinematic-photographer')))."</a>";
		}
	}

	/**
	 * Custom template tags for this theme.
	 */
	require get_parent_theme_file_path( '/inc/template-tags.php' );

	/**
	 * Additional features to allow styling of the templates.
	 */
	require get_parent_theme_file_path( '/inc/template-functions.php' );

	/**
	 * Customizer additions.
	 */
	require get_parent_theme_file_path( '/inc/customizer.php' );

	/**
	 * Load Theme About Page
	 */
	require get_parent_theme_file_path( '/inc/about-theme.php' );

	/**
	 * Load Theme Web File
	 */
	require get_parent_theme_file_path('/inc/wptt-webfont-loader.php' );
	/**
	 * Load Toggle file
	 */
	require get_parent_theme_file_path( '/inc/controls/customize-control-toggle.php' );

	/**
	 * load sortable file
	 */
	require get_parent_theme_file_path( '/inc/controls/sortable-control.php' );

	/**
	 * TGM Recommendation
	 */
	require get_parent_theme_file_path( '/inc/TGM/tgm.php' );

}
add_action( 'after_setup_theme', 'cinematic_photographer_theme_setup' );